Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.data
Class ActivityDependenceGroup

    java.lang.Object
      |
      +--timetable.data.ActivityDependenceGroup

public class ActivityDependenceGroup
extends java.lang.Object

Reprezentace skupiny závislostí mezi aktivitami.

Field Summary
`protected java.util.Vector` | `dependences` Závislosti reprezentované jako java.util.Vector

Constructor Summary
`ActivityDependenceGroup()` Konstruktor.
`ActivityDependenceGroup(ActivityDependenceInterface dep)` Konstruktor.
`ActivityDependenceGroup(ActivityDependenceInterface[] dep)` Konstruktor.

Method Summary
`void` | `add(ActivityDependenceInterface dep)` Přidání nové závislosti
`int` | `countDependences(Activity a)` Spočítá počet závislostí, ve kterých se vyskytuje daná aktivita.
`ActivityDependenceInterface` | `get(int i)` Vrátí i-tou závislost
`ActivityGroup` | `getConflictActivities(Activity a, int start)` Vrátí všechny aktivity které jsouv v konfliktu s danou aktivitou kvůli některé ze závislostí.
`boolean` | `isFixedOK(Activity a, int start)` Otestuje všechny závislosti s danou aktivitou, kde druhá aktivita nelze přeplánovat.
`boolean` | `isOK()` Otestuje všechny závislosti.
`boolean` | `isOK(Activity a, int start)` Otestuje všechny závislosti s danou aktivitou.
`static ActivityDependenceGroup` | `read(java.io.ObjectInputStream in, ActivityGroup allActivities)` Přečtení skupiny závislostí ze streamu.
`void` | `remove(ActivityDependenceInterface dep)` Odebrání závislosti ze skupiny
`void` | `removeAll()` Odebrání všech závislostí ze skupiny
`int` | `size()` Vrátí počet závislostí ve skupině.
`void` | `write(java.io.ObjectOutputStream out, ActivityGroup allActivities)` Zápis skupiny závislostií do streamu

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dependences

    protected java.util.Vector dependences

  Závislosti reprezentované jako java.util.Vector

Constructor Detail

### ActivityDependenceGroup

    public ActivityDependenceGroup()

  Konstruktor.

### ActivityDependenceGroup

    public ActivityDependenceGroup(ActivityDependenceInterface dep)

  Konstruktor.
  Parameters:
    `dep` - po vytvoření skupiny se do ní vloží závislost dep

### ActivityDependenceGroup

    public ActivityDependenceGroup(ActivityDependenceInterface[] dep)

  Konstruktor.
  Parameters:
    `dep` - po vytvoření skupiny se do ní vloží závislosti dep

Method Detail

### add

    public void add(ActivityDependenceInterface dep)

  Přidání nové závislosti
  Parameters:
    `dep` - závislost

### remove

    public void remove(ActivityDependenceInterface dep)

  Odebrání závislosti ze skupiny
  Parameters:
    `deo` - závislost

### removeAll

    public void removeAll()

  Odebrání všech závislostí ze skupiny

### size

    public int size()

  Vrátí počet závislostí ve skupině.
  Returns:
    počet závislostí

### get

    public ActivityDependenceInterface get(int i)

  Vrátí i-tou závislost
  Parameters:
    `i` - index do skupiny závislostí
  Returns:
    i-tá závislost

### countDependences

    public int countDependences(Activity a)

  Spočítá počet závislostí, ve kterých se vyskytuje daná aktivita.
  Parameters:
    `a` - aktivita

### isOK

    public boolean isOK()

  Otestuje všechny závislosti.
  Returns:
    true, pokud jsou všechny splněny

### isOK

    public boolean isOK(Activity a,
                        int start)

  Otestuje všechny závislosti s danou aktivitou.
  Parameters:
    `a` - aktivita
    `start` - začátek aktivity
  Returns:
    true, pokud jsou splněny

### isFixedOK

    public boolean isFixedOK(Activity a,
                             int start)

  Otestuje všechny závislosti s danou aktivitou, kde druhá aktivita nelze přeplánovat. Pouze tyto závislosti musejí být splěny, ostatní lze řešit vyhozením druhé z aktivit z rozvrhu.
  Parameters:
    `a` - aktivita
    `start` - začátek aktivity
  Returns:
    true, pokud jsou splněny

### getConflictActivities

    public ActivityGroup getConflictActivities(Activity a,
                                               int start)

  Vrátí všechny aktivity které jsouv v konfliktu s danou aktivitou kvůli některé ze závislostí.
  Parameters:
    `a` - aktivita
    `start` - začátek aktivity
  Returns:
    množina konfliktních aktivit

### write

    public void write(java.io.ObjectOutputStream out,
                      ActivityGroup allActivities)
               throws java.io.IOException

  Zápis skupiny závislostií do streamu
  Parameters:
    `out` - stream
    `allActivities` - množina všech aktivit

### read

    public static ActivityDependenceGroup read(java.io.ObjectInputStream in,
                                               ActivityGroup allActivities)
                                        throws java.io.IOException,
                                               java.lang.ClassNotFoundException,
                                               java.lang.NoSuchMethodException,
                                               java.lang.InstantiationException,
                                               java.lang.IllegalAccessException,
                                               java.lang.reflect.InvocationTargetException

  Přečtení skupiny závislostí ze streamu.
  Parameters:
    `in` - stream
    `allActivities` - množina všech aktivit
  Returns:
    načtená skupina závislostí

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD